<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('jackpot_pools', function (Blueprint $table): void {
            $table->json('combo_trigger_play_codes')->nullable()->after('min_bet_amount');
        });
    }

    public function down(): void
    {
        Schema::table('jackpot_pools', function (Blueprint $table): void {
            $table->dropColumn('combo_trigger_play_codes');
        });
    }
};
